Package net.sf.saxon.functions

## Enum AccumulatorFn.Phase

- java.lang.Object
- - java.lang.Enum<AccumulatorFn.Phase>
  - - net.sf.saxon.functions.AccumulatorFn.Phase

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AccumulatorFn.Phase>`
  Enclosing class:
    AccumulatorFn

      public static enum AccumulatorFn.Phase
      extends java.lang.Enum<AccumulatorFn.Phase>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER` |
    `BEFORE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AccumulatorFn.Phase` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AccumulatorFn.Phase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AFTER

          public static final AccumulatorFn.Phase AFTER

    - #### BEFORE

          public static final AccumulatorFn.Phase BEFORE

  - ### Method Detail

    - #### values

          public static AccumulatorFn.Phase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccumulatorFn.Phase c : AccumulatorFn.Phase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccumulatorFn.Phase valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null